net.minecraft.client.model

## Class ModelZombieVillager

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelBiped
    - - net.minecraft.client.model.ModelZombieVillager

-     public class ModelZombieVillager
      extends ModelBiped

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.model.ModelBiped

      `aimedBow, bipedBody, bipedCloak, bipedEars, bipedHead, bipedHeadwear, bipedLeftArm, bipedLeftLeg, bipedRightArm, bipedRightLeg, heldItemLeft, heldItemRight, isSneak`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelZombieVillager()`
    `ModelZombieVillager(float par1, float par2, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_82897_a()`
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

    - ### Methods inherited from class net.minecraft.client.model.ModelBiped

      `render, renderCloak, renderEars`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `func_85181_a, getTextureOffset, setLivingAnimations`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelZombieVillager

          public ModelZombieVillager()

    - #### ModelZombieVillager

          public ModelZombieVillager(float par1,
                             float par2,
                             boolean par3)

  - ### Method Detail

    - #### func_82897_a

          public int func_82897_a()

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.
      Overrides:
        `setRotationAngles` in class `ModelBiped`